## Interface Swift_Transport

(line 21)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Transport.php

##### Sends Messages via an abstract Transport subsystem.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
boolean isStarted ()
void registerPlugin (Swift_Events_EventListener $plugin)
int send (Swift_Mime_Message $message, [string[] &$failedRecipients = null])
void start ()
void stop ()

#### Method isStarted (line 29)

#### boolean isStarted( )

##### Test if this Transport mechanism has started.

#### Info

- access - public

#### Method registerPlugin (line 58)

#### void registerPlugin( Swift_Events_EventListener $plugin)

##### Register a plugin in the Transport.

#### Parameters

- Swift_Events_EventListener $plugin:

#### Info

- access - public

#### Method send (line 51)

#### int send( Swift_Mime_Message $message, [string[] &$failedRecipients = null])

##### Send the given Message.

Recipient/sender data will be retreived from the Message API. The return value is the number of recipients who were accepted for delivery.

#### Parameters

- Swift_Mime_Message $message:
- string[] &$failedRecipients: to collect failures by-reference

#### Info

- access - public

#### Method start (line 34)

#### void start( )

##### Start this Transport mechanism.

#### Info

- access - public

#### Method stop (line 39)

#### void stop( )

##### Stop this Transport mechanism.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:31 +0000 by phpDocumentor 1.4.3